
Selene J2EE Webapp - Tareas #145

Errores # 133 (Cerrada): Extract enteje from Tabla

Add enteje association with TT1T_CODATR_EE_VALATR

05/09/2018 03:49 PM - Jesús Freire

Status: Cerrada Start date: 05/09/2018

Priority: Normal Due date: 06/28/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 3:00 hours

Target version: 0.0.2 Spent time: 1:15 hour

Puntos de historia: 3   

Description

Pattern DatosLogicos has changed to take enteje from parameters, so it's neccesary to make an association between the field enteje

of the key TT1T_CODATR_EE_VALATR and the field enteje in each class that uses this key.

For example, AFApunte uses this key to take the field DENOMT for the description of several code fields, as the Participante's

description.

Extract a list of Objeto instances that use the key TT1T_CODATR_EE_VALATR and make an association with the field enteje for

each one

History

#1 - 05/10/2018 06:22 AM - Jesús Freire

- Project changed from Selene Wrapper to Selene J2EE Webapp

- Target version deleted (0.0.7)

#2 - 06/06/2018 07:53 AM - Jesús Freire

- % Done changed from 10 to 20

- Translation missing: en.field_sprint changed from 53 to 52

#3 - 06/07/2018 06:14 AM - Jesús Freire

- Project changed from Selene J2EE Webapp to Selene Wrapper

- Translation missing: en.field_sprint deleted (52)

#4 - 06/07/2018 06:16 AM - Jesús Freire

- Target version set to 0.0.8

#5 - 06/07/2018 06:17 AM - Jesús Freire

- Translation missing: en.field_sprint set to 21

#6 - 06/10/2018 12:14 PM - Jesús Freire

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

- % Done changed from 20 to 30

#7 - 06/10/2018 07:04 PM - Jesús Freire

Design classes with enteje that use TT1T:

select vaclob from atcl where codatr='ENTEJE' and coi

ob='00000053' and subcla='CD' and vaclob in (select coobme

rom objm where coinob in (select coobpa from objm where tio

me='AF' and coobme in (select distinct src.vaclob from atat

 atcl src, atcl dst where coina1=src.coinat and coina2=dst.

oinat and src.coinob='00000053' and src.subcla='AF' and dst

coinob='00000053' and dst.subcla='CL' and dst.vaclob='TT1T_

ODATR_EE_VALATR')));

05/14/2025 1/2



Result:

CUEN

APUN

ACPR

ROLP    

Áreas de fachada that use TT1T:

select distinct src.vaclob from atat, atcl src, atcl

st where coina1=src.coinat and coina2=dst.coinat and src.co

nob='00000053' and src.subcla='AF' and dst.coinob='00000053

 and dst.subcla='CL' and dst.vaclob='TT1T_CODATR_EE_VALATR';

Result:

AFCuentaCuenta

AFActorPrograma

AFTercero

AFParticipante

AFCuenta

AFNota

AFFichero

AFObjeto

AFApunte

AFObjetoObjeto

AFApunteApunte

AFRolParticipante

#8 - 06/10/2018 07:08 PM - Jesús Freire

- Translation missing: en.field_sprint changed from 21 to 57

#9 - 06/27/2018 08:13 PM - Jesús Freire

- Project changed from Selene Wrapper to Selene J2EE Webapp

- Target version deleted (0.0.8)

- % Done changed from 30 to 40

#10 - 06/28/2018 06:47 AM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 40 to 90

Applied in changeset selene-j2ee-webapp|r723.

#11 - 06/28/2018 06:48 AM - Jesús Freire

- Due date set to 06/28/2018

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

#12 - 06/28/2018 06:49 AM - Jesús Freire

- Target version set to 0.0.2
